Bug 169034 - For Onboard LAN Cards, Network not reachable with kernel 2.6.12-1.1447_FC4 & 2.6.11-1.1369_FC4smp
For Onboard LAN Cards, Network not reachable with kernel 2.6.12-1.1447_FC4 & ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 08:46 EDT by Dayaanaand Ghule
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Boot Log for further refrence (27.06 KB, application/x-zip-compressed)
2005-09-26 02:09 EDT, Dayaanaand Ghule
no flags Details

  None (edit)
Description Dayaanaand Ghule 2005-09-22 08:46:41 EDT
kernel-2.6.12-1.1447_FC4
kernel-2.6.11-1.1369_FC4smp 

I upgraded my machine from Fedora core 3 to Fedora Core 4 using yum 
All the applications are now upgraded to Fedora core 4 specific version
I kept the kernel of FC3 as it is 
When I start my machine in kernel 2.6.12-1.1447_FC4 the network is not 
reachable

If I set static IP and do network restart the, network seems to be started 
properly, I am able ot do ping 127.0.0.1 and Self ip .. but no other ip on the 
network 

If I set Dynamic IP (generally in my network we use DHCP assigned IP), then  
not able to get IP addresss dynamically

When I start my machine in kernel 2.6.9-1.667 the network works fine
for Static as well as Dynamic IP
but then creates problems while using some application or yum 
upgrades/installs (like segmentation faults)

I tried with IBM Machine with onboard LAN card (kernel-2.6.11-1.1369_FC4smp)
In lspci it shows Lan card as (Broadcomm Corporation NetXtreme PCM5751 Gigabit 
Ethernet PCI express (rev 11)

I also tried in HP machine with Onboard LAN Card (kernel-2.6.12-1.1447_FC4)
in lspci it shows Lan card as Intel 8256EZ2 

When I add new (PCI) Lan card to IBM PC I am able to get on to network eaisly 

Steps to reproduce

1. Get any hardware with onboard Lancard (eg: Intel Motherboard with 82562EZ 
as Lan card)
2. Install / Upgrade to Fedora 4 with kernel 2.6.12-1.1447_FC4 / kernel-2.6.11-
1.1369_FC4smp 
3. set Static IP for current network  Or try to get IP from DHCP 
4. See falied to ping any other machie
Comment 1 Dayaanaand Ghule 2005-09-22 09:07:46 EDT
I tried changing settings to half Duplex using mii-tool 
still it didnt worked 

also tried with kernel kernel-2.6.12-1.1398_FC4

Comment 2 Dave Jones 2005-09-23 18:31:59 EDT
can you try the latest update ? 2.6.12-1.1456 came out yesterday.
There's also a 2.6.13-1.1524 in updates-testing if you want to give that a try
(though it may have some other problems).

Are you getting a default route added ? What's the output of route -n ?
Comment 3 Dayaanaand Ghule 2005-09-26 02:00:35 EDT
I tried installing the kernel(s) 2.6.12-1.1456  2.6.13-1.1524
Still I am having same problem after bootint them

I also tried to see the route adresss 
After the DHCP server Assigned ipaddress (no route was added) for other 
kernels except for (2.6.9-1.667)
After the  Static Assigned ipaddress I could see the routing table but not 
able to ping (see 2.6.12-1.1447_FC4 below)


# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

uname -m : i686
uname -r : 2.6.12-1.1447_FC4
uname -a : Linux XXX2514.XXXXXXXXX.XX.XX 2.6.12-1.1447_FC4 #1 Fri Aug 26 
20:29:51 EDT 2005 i686 i686 i386 GNU/Linux

After the DHCP Assigned IP addresss in 2.6.12-1.1447_FC4 Kernel 
-----------------------------------------------------------------
ifconfig:
eth0      Link encap:Ethernet  HWaddr 00:0F:FE:06:86:1B
          inet addr:10.77.5.50  Bcast:10.77.31.255  Mask:255.255.224.0
          inet6 addr: fe80::20f:feff:fe06:861b/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)


route:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
169.254.0.0     *               255.255.0.0     U     0      0        0 lo
route -n:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
169.254.0.0     0.0.0.0         255.255.0.0     U     0      0        0 lo

After the Static Assigned IP addresss in 2.6.12-1.1447_FC4 Kernel 
-----------------------------------------------------------------

ifconfig:
eth0      Link encap:Ethernet  HWaddr 00:0F:FE:06:86:1B
          inet addr:10.77.5.50  Bcast:10.77.31.255  Mask:255.255.224.0
          inet6 addr: fe80::20f:feff:fe06:861b/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:3588 errors:0 dropped:0 overruns:0 frame:0
          TX packets:3588 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:4524016 (4.3 MiB)  TX bytes:4524016 (4.3 MiB)

route:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
10.77.0.0       *               255.255.224.0   U     0      0        0 eth0
169.254.0.0     *               255.255.0.0     U     0      0        0 eth0
default         10.77.0.1       0.0.0.0         UG    0      0        0 eth0
route -n:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
10.77.0.0       0.0.0.0         255.255.224.0   U     0      0        0 eth0
169.254.0.0     0.0.0.0         255.255.0.0     U     0      0        0 eth0
0.0.0.0         10.77.0.1       0.0.0.0         UG    0      0        0 eth0

ping 10.77.0.1:
PING 10.77.0.1 (10.77.0.1) 56(84) bytes of data.
From 10.77.5.50 icmp_seq=1 Destination Host Unreachable
From 10.77.5.50 icmp_seq=2 Destination Host Unreachable
From 10.77.5.50 icmp_seq=3 Destination Host Unreachable

--- 10.77.0.1 ping statistics ---
5 packets transmitted, 0 received, +3 errors, 100% packet loss, time 3999ms
, pipe 4

lsmod:
Module                  Size  Used by
i915                   19393  1
drm                    70997  2 i915
parport_pc             29189  0
lp                     13129  0
parport                40969  2 parport_pc,lp
autofs4                29637  2
sunrpc                168453  1
dm_mod                 58613  0
video                  16069  0
button                  4161  0
battery                 9541  0
ac                      4933  0
md5                     4161  1
ipv6                  268865  8
uhci_hcd               35281  0
ehci_hcd               41165  0
hw_random               6101  0
i2c_i801                8909  0
i2c_core               21825  1 i2c_i801
snd_intel8x0           34945  0
snd_ac97_codec         76217  1 snd_intel8x0
snd_seq_dummy           3781  0
snd_seq_oss            37569  0
snd_seq_midi_event      9409  1 snd_seq_oss
snd_seq                62801  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9037  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            51569  0
snd_mixer_oss          18113  1 snd_pcm_oss
snd_pcm               100553  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              33733  2 snd_seq,snd_pcm
snd                    57669  9 
snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_
mixer_oss,snd_pcm,snd_timer
soundcore              11169  1 snd
snd_page_alloc          9925  2 snd_intel8x0,snd_pcm
e100                   57224  0
floppy                 65397  0
ext3                  132681  2
jbd                    86233  1 ext3


lspci:
00:00.0 Host bridge: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub 
Interface (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82865G Integrated 
Graphics Controller (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI 
Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI 
Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI #3 
(rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI 
Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI 
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface 
Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE 
Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 
02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) 
AC'97 Audio Controller (rev 02)
01:08.0 Ethernet controller: Intel Corporation 82562EZ 10/100 Ethernet 
Controller (rev 02)


# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
uname  -m : i686
uname  -r : 2.6.12-1.1456_FC4
uname  -a :Linux XXX2514.XXXXXXXXXX.XX.XX 2.6.12-1.1456_FC4 #1 Thu Sep 22 
02:11:40 EDT 2005 i686 i686 i386 GNU/Linux
route:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
169.254.0.0     *               255.255.0.0     U     0      0        0 lo
route -n:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
169.254.0.0     0.0.0.0         255.255.0.0     U     0      0        0 lo

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
uname -a : Linux XXX2514.XXXXXXXXXX.XX.XX 2.6.13-1.1524_FC4 #1 Wed Sep 21 
00:00:00 EDT 2005 i686 i686 i386 GNU/Linux
uname -r : 2.6.13-1.1524_FC4
uname -m : i686
route : 
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
169.254.0.0     *               255.255.0.0     U     0      0        0 lo
route -n:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
169.254.0.0     0.0.0.0         255.255.0.0     U     0      0        0 lo

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
uname -a : Linux XXX2514.XXXXXXXXXX.XX.XX 2.6.9-1.667 #1 Tue Nov 2 14:41:25 
EST 2004 i686 i686 i386 GNU/Linux
uname -r : 2.6.9-1.667
uname -m : i686
route:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
10.77.0.0       *               255.255.224.0   U     0      0        0 eth0
169.254.0.0     *               255.255.0.0     U     0      0        0 eth0
default         10.77.0.1       0.0.0.0         UG    0      0        0 eth0
route -n:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
10.77.0.0       0.0.0.0         255.255.224.0   U     0      0        0 eth0
169.254.0.0     0.0.0.0         255.255.0.0     U     0      0        0 eth0
0.0.0.0         10.77.0.1       0.0.0.0         UG    0      0        0 eth0
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

Comment 4 Dayaanaand Ghule 2005-09-26 02:09:28 EDT
Created attachment 119243 [details]
Boot Log for further refrence

I have attached Boot Log for further reference (shows eth0 [failed] When
configured as DHCP assigned for all kernels except  2.6.9-1.667
  
Always Shows eth0 [passed]in static assigned (in all kernels) and (assigned
static or DHCP) in 2.6.9-1.667
Comment 5 John W. Linville 2005-09-27 10:09:54 EDT
Have you tried adding "acpi=off" or "acpi=noirq" to the kernel command line?  
Please do so and post the results...thanks! 
Comment 6 Dayaanaand Ghule 2005-09-28 02:16:33 EDT
Thanks !!! 
it did worked with acpi=off boot option with 2.6.12-1.1447_FC4 Kernel 
but no sucess with  kernel-2.6.11-1.1369_FC4smp  IBM Machine by any of the options  

Could you give me details Or more combination options I can try to get Onboard
Card working with kernel-2.6.11-1.1369_FC4smp
Comment 7 John W. Linville 2005-09-28 10:28:35 EDT
Does it work w/  2.6.12-1.1447_FC4smp?  Is there some other reason why you  
need/want 2.6.11-1.1369_FC4smp? 
 
From Documentation/kernel-parameters.txt: 
 
        acpi=           [HW,ACPI] Advanced Configuration and Power Interface 
                        Format: { force | off | ht | strict } 
                        force -- enable ACPI if default was off 
                        off -- disable ACPI if default was on 
                        noirq -- do not use ACPI for IRQ routing 
                        ht -- run only enough ACPI to enable Hyper Threading 
                        strict --  Be less tolerant of platforms that are not 
                                strictly ACPI specification compliant. 
 
So, you may want to try "acpi=ht" or possibly "acpi=noirq" instead. 
 
Unfortunately, ACPI problems are generally outside of my control.  The best 
option is to pursue a BIOS upgrade from your motherboard manufacturer. 
 
I'm going to close this as "CANTFIX", but please do post the results of trying 
"acpi=ht" with the kernel in question.  Thanks! 
 

Note You need to log in before you can comment on or make changes to this bug.